MediaCardButton
This method will get all MediaCardButton
GET/api/media/card_button
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of MediaCardButton objectsarray<MediaCardButton>
Show fields (22)
idintegerPrimary key of the card button. Internal ID.
card_typestringType of the card, for example a home screen tile.
card_conditionsstringConditions under which the card is shown, as text.
tokenstringPublic token of the card. Used instead of the ID.
language_codestringLanguage of the card, for example de or en.
icon_asset_namestringName of the icon of the card.
icon_packagestringIcon package the icon belongs to.
icon_colorstringColor of the icon.
text_colorstringColor of the text.
background_colorstringBackground color of the card.
link_actionstringAction when the card is tapped, for example open a page.
link_urlstringURL the card links to.
image_opacitynumber (float)Opacity of the background image, from 0 to 1.
ui_presetstringLayout preset of the card.
start_datestring (date-time)Start of the display period.
end_datestring (date-time)End of the display period.
dismissablebooleanThe user can hide the card.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
namestringName of the entity.
[
{
"id": 42,
"icon_asset_name": "Beispiel",
"icon_color": "#3f5efb",
"text_color": "#3f5efb",
"background_color": "#3f5efb",
"link_url": "https://vynst.de",
"image_url": "https://vynst.de",
"name": "Beispiel",
"card_type": "string",
"card_conditions": "string"
}
]Add a new MediaCardButton
POST/api/media/card_button
Responses
200Add a new MediaCardButtonMediaCardButton2
Show fields (25)
idintegerPrimary key of the card button. Internal ID.
card_typestringType of the card, for example a home screen tile.
card_conditionsstringConditions under which the card is shown, as text.
tokenstringPublic token of the card. Used instead of the ID.
language_codestringLanguage of the card, for example de or en.
icon_asset_namestringName of the icon of the card.
icon_packagestringIcon package the icon belongs to.
icon_colorstringColor of the icon.
text_colorstringColor of the text.
background_colorstringBackground color of the card.
link_actionstringAction when the card is tapped, for example open a page.
link_urlstringURL the card links to.
image_opacitynumber (float)Opacity of the background image, from 0 to 1.
ui_presetstringLayout preset of the card.
start_datestring (date-time)Start of the display period.
end_datestring (date-time)End of the display period.
dismissablebooleanThe user can hide the card.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage10>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser53User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
ucatsarray<UnifiedCategory28>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory28>Child categories.
parentUnifiedCategory28Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
namestringName of the entity.
{
"id": 42,
"icon_asset_name": "Beispiel",
"icon_color": "#3f5efb",
"text_color": "#3f5efb",
"background_color": "#3f5efb",
"link_url": "https://vynst.de",
"image_url": "https://vynst.de",
"name": "Beispiel",
"card_type": "string",
"card_conditions": "string"
}This method will get a single MediaCardButton with the given id or token
GET/api/media/card_button/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single MediaCardButtonMediaCardButton
Show fields (22)
idintegerPrimary key of the card button. Internal ID.
card_typestringType of the card, for example a home screen tile.
card_conditionsstringConditions under which the card is shown, as text.
tokenstringPublic token of the card. Used instead of the ID.
language_codestringLanguage of the card, for example de or en.
icon_asset_namestringName of the icon of the card.
icon_packagestringIcon package the icon belongs to.
icon_colorstringColor of the icon.
text_colorstringColor of the text.
background_colorstringBackground color of the card.
link_actionstringAction when the card is tapped, for example open a page.
link_urlstringURL the card links to.
image_opacitynumber (float)Opacity of the background image, from 0 to 1.
ui_presetstringLayout preset of the card.
start_datestring (date-time)Start of the display period.
end_datestring (date-time)End of the display period.
dismissablebooleanThe user can hide the card.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
namestringName of the entity.
{
"id": 42,
"icon_asset_name": "Beispiel",
"icon_color": "#3f5efb",
"text_color": "#3f5efb",
"background_color": "#3f5efb",
"link_url": "https://vynst.de",
"image_url": "https://vynst.de",
"name": "Beispiel",
"card_type": "string",
"card_conditions": "string"
}Update a MediaCardButton
PUT/api/media/card_button/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Update a MediaCardButtonMediaCardButton2
Show fields (25)
idintegerPrimary key of the card button. Internal ID.
card_typestringType of the card, for example a home screen tile.
card_conditionsstringConditions under which the card is shown, as text.
tokenstringPublic token of the card. Used instead of the ID.
language_codestringLanguage of the card, for example de or en.
icon_asset_namestringName of the icon of the card.
icon_packagestringIcon package the icon belongs to.
icon_colorstringColor of the icon.
text_colorstringColor of the text.
background_colorstringBackground color of the card.
link_actionstringAction when the card is tapped, for example open a page.
link_urlstringURL the card links to.
image_opacitynumber (float)Opacity of the background image, from 0 to 1.
ui_presetstringLayout preset of the card.
start_datestring (date-time)Start of the display period.
end_datestring (date-time)End of the display period.
dismissablebooleanThe user can hide the card.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage10>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser53User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
ucatsarray<UnifiedCategory28>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory28>Child categories.
parentUnifiedCategory28Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
namestringName of the entity.
{
"id": 42,
"icon_asset_name": "Beispiel",
"icon_color": "#3f5efb",
"text_color": "#3f5efb",
"background_color": "#3f5efb",
"link_url": "https://vynst.de",
"image_url": "https://vynst.de",
"name": "Beispiel",
"card_type": "string",
"card_conditions": "string"
}Update a MediaCardButton
PATCH/api/media/card_button/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Update a MediaCardButtonMediaCardButton2
Show fields (25)
idintegerPrimary key of the card button. Internal ID.
card_typestringType of the card, for example a home screen tile.
card_conditionsstringConditions under which the card is shown, as text.
tokenstringPublic token of the card. Used instead of the ID.
language_codestringLanguage of the card, for example de or en.
icon_asset_namestringName of the icon of the card.
icon_packagestringIcon package the icon belongs to.
icon_colorstringColor of the icon.
text_colorstringColor of the text.
background_colorstringBackground color of the card.
link_actionstringAction when the card is tapped, for example open a page.
link_urlstringURL the card links to.
image_opacitynumber (float)Opacity of the background image, from 0 to 1.
ui_presetstringLayout preset of the card.
start_datestring (date-time)Start of the display period.
end_datestring (date-time)End of the display period.
dismissablebooleanThe user can hide the card.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
visibility_typestringType of visibility of the entity.
arslistarray<AccessRightStorage10>Access rights list that controls the visibility.
Show fields (12)
idintegerPrimary key of the access right entry. Internal ID.
userUser53User who gets the access right. Only set for user-specific rights.
access_tagAccessTagAccess tag the right applies to. Only set for rights on a tag.
create_mainbooleanCreate permission for main records of the access tag.
edit_mainbooleanEdit permission for main records of the access tag.
read_mainbooleanRead permission for main records of the access tag.
create_childbooleanCreate permission for child records (for example items inside a main record).
edit_childbooleanEdit permission for child records (for example items inside a main record).
read_childbooleanRead permission for child records (for example items inside a main record).
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
ucatsarray<UnifiedCategory28>Unified categories of the entity.
Show fields (32)
idintegerPrimary key of the unified category. Internal ID.
category_typestringType of the category, for example course or membership.
childrenarray<UnifiedCategory28>Child categories.
parentUnifiedCategory28Parent category.
view_orderintegerSort order of the category in lists.
is_publicbooleanThe category is shown publicly.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
namestringName of the entity.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
search_stringstringText that the entity can be searched by.
short_identifierstringShort identifier of the entity.
slug_identifierstringSlug used in URLs of the entity.
image_urlstringURL of the image of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
namestringName of the entity.
{
"id": 42,
"icon_asset_name": "Beispiel",
"icon_color": "#3f5efb",
"text_color": "#3f5efb",
"background_color": "#3f5efb",
"link_url": "https://vynst.de",
"image_url": "https://vynst.de",
"name": "Beispiel",
"card_type": "string",
"card_conditions": "string"
}Deletes a single MediaCardButton
DELETE/api/media/card_button/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Deletes a single MediaCardButtonMediaCardButton
Show fields (22)
idintegerPrimary key of the card button. Internal ID.
card_typestringType of the card, for example a home screen tile.
card_conditionsstringConditions under which the card is shown, as text.
tokenstringPublic token of the card. Used instead of the ID.
language_codestringLanguage of the card, for example de or en.
icon_asset_namestringName of the icon of the card.
icon_packagestringIcon package the icon belongs to.
icon_colorstringColor of the icon.
text_colorstringColor of the text.
background_colorstringBackground color of the card.
link_actionstringAction when the card is tapped, for example open a page.
link_urlstringURL the card links to.
image_opacitynumber (float)Opacity of the background image, from 0 to 1.
ui_presetstringLayout preset of the card.
start_datestring (date-time)Start of the display period.
end_datestring (date-time)End of the display period.
dismissablebooleanThe user can hide the card.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
image_urlstringURL of the image of the entity.
namestringName of the entity.
{
"id": 42,
"icon_asset_name": "Beispiel",
"icon_color": "#3f5efb",
"text_color": "#3f5efb",
"background_color": "#3f5efb",
"link_url": "https://vynst.de",
"image_url": "https://vynst.de",
"name": "Beispiel",
"card_type": "string",
"card_conditions": "string"
}